OpenJPEG 2.3.0

Macros | Functions
opj_malloc.c File Reference
`#include "opj_includes.h"`

## Macros
#define | OPJ_SKIP_POISON
#define | SIZE_MAX ((size_t) -1)

## Functions
static INLINE void * | opj_aligned_alloc_n (size_t alignment, size_t size)
static INLINE void * | opj_aligned_realloc_n (void *ptr, size_t alignment, size_t new_size)
void * | opj_malloc (size_t size)
| Allocate an uninitialized memory block More...
void * | opj_calloc (size_t num, size_t size)
| Allocate a memory block with elements initialized to 0 More...
void * | opj_aligned_malloc (size_t size)
| Allocate memory aligned to a 16 byte boundary More...
void * | opj_aligned_realloc (void *ptr, size_t size)
void * | opj_aligned_32_malloc (size_t size)
| Allocate memory aligned to a 32 byte boundary More...
void * | opj_aligned_32_realloc (void *ptr, size_t size)
void | opj_aligned_free (void *ptr)
void * | opj_realloc (void *ptr, size_t new_size)
| Reallocate memory blocks. More...
void | opj_free (void *ptr)
| Deallocates or frees a memory block. More...

## Macro Definition Documentation

## ◆ OPJ_SKIP_POISON

#define OPJ_SKIP_POISON

## ◆ SIZE_MAX

#define SIZE_MAX ((size_t) -1)

Referenced by opj_aligned_alloc_n(), opj_aligned_realloc_n(), opj_dwt_decode_partial_97(), opj_dwt_decode_partial_tile(), opj_dwt_decode_tile(), opj_dwt_decode_tile_97(), opj_dwt_encode_procedure(), opj_image_create(), opj_j2k_update_image_data(), opj_tcd_decode_tile(), and opj_tcd_init_tile().

## Function Documentation

## ◆ opj_aligned_alloc_n()

static INLINE void* opj_aligned_alloc_n | ( | size_t | alignment,
|  | size_t | size
| ) |  |
| static

References SIZE_MAX.

Referenced by opj_aligned_32_malloc(), opj_aligned_malloc(), and opj_aligned_realloc_n().

## ◆ opj_aligned_realloc_n()

static INLINE void* opj_aligned_realloc_n | ( | void * | ptr,
|  | size_t | alignment,
|  | size_t | new_size
| ) |  |
| static

References opj_aligned_alloc_n(), and SIZE_MAX.

Referenced by opj_aligned_32_realloc(), and opj_aligned_realloc().